#ifndef AA_INCLUDED
#define AA_INCLUDED

#define LETTERS 26
#define NAT_AAS 20

extern int AA_abc_index (char aa);
extern int AA_acdbz_index (char aa);
extern int AA_acdx_index (char aa);
extern int AA_acd_index (char aa);
extern int AA_arn_index (char aa);
extern double AA_acdbz_freq (int i);
extern double AA_acd_freq (int i);
extern char AA_abc_aa (int i);
extern char AA_acdbz_aa (int i);
extern char AA_acdx_aa (int i);
extern char AA_acd_aa (int i);
extern char AA_arn_aa (int i);

extern const int AA_abc_length;
extern const int AA_acdbz_length;
extern const int AA_acdx_length;
extern const int AA_acd_length;
extern const int AA_arn_length;

#endif
