#ifndef ENTRY_INCLUDED
#define ENTRY_INCLUDED

#define T Entry_T
typedef struct T *T;

extern T Entry_new (char *name, int name_length, int start, int width,
		    int score, double significance, float info, char *hit);
extern void Entry_free (T *entry);
extern int Entry_end (T entry);
extern int Entry_score (T entry);
extern double Entry_significance (T entry);
extern float Entry_info (T entry);
extern char * Entry_name (T entry);
extern char * Entry_hit (T entry);
extern int Entry_cmp (const void *entry1, const void *entry2);
extern void Entry_print (T entry);

#undef T
#endif
